<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?><!--  Copyright (c) 2000-2005 MetaMatrix, Inc.  All rights reserved. --><plugin id="com.metamatrix.modeler.sdt" name="%pluginName" version="5.0.2"
        provider-name="%providerName"
        class="com.metamatrix.modeler.sdt.ModelerSdtPlugin">

   <runtime>
      <library name="modelerSdt_PATCH.jar">
         <export name="*"/>
      </library>
      <library name="modelerSdt.jar">
         <export name="*"/>
      </library>
   </runtime>
   <requires>
      <import plugin="com.metamatrix.modeler.core"/>
      <import plugin="com.metamatrix.core.xml"/>
      <import plugin="com.metamatrix.core.index"/>
      <import plugin="com.metamatrix.metamodels.xsd"/>
   </requires>


   <!-- DatatypeManager extension -->
   <extension id="defaultDatatypeManager" name="%datatypeManagerName"
              point="com.metamatrix.modeler.core.datatypeManager">
      <class name="com.metamatrix.modeler.internal.sdt.types.WorkspaceDatatypeManager">
      </class>
   </extension>
   <!-- ExternalResource extension -->
   <extension id="builtInDatatypesResource" name="%builtInDatatypesResourceName"
              point="com.metamatrix.modeler.core.externalResource">
      <resourceName>
         builtInDataTypes.xsd
      </resourceName>
      <resourceUrl>
         builtInDatatypes.zip
      </resourceUrl>
      <internalUri>
         http://www.metamatrix.com/metamodels/SimpleDatatypes-instance
      </internalUri>
      <priority> 10 </priority>
   </extension>
   <!-- ExternalResourceSet extension -->
   <extension id="xsdResourceSet" name="%xsdResourceSetName"
              point="com.metamatrix.modeler.core.externalResourceSet">
      <class name="com.metamatrix.modeler.internal.sdt.types.XsdExternalResourceSet">
      </class>
   </extension>

</plugin>